<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Post Management App</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
    <style>
        body {
            padding-top: 70px;
        }
        .error {
            color: red;
        }
    </style>
</head>
<body>
<nav class="navbar navbar-expand-lg navbar-dark bg-dark fixed-top">
    <a class="navbar-brand" href="#">Post Management App</a>
</nav>

<div class="container">
    <div id="error-container" class="alert alert-danger mt-4" style="display: none;"></div>

    <div id="posts-container">
        <h2>All Posts</h2>
        <ul id="post-list" class="list-group">
        </ul>
        <button id="new-post-btn" class="btn btn-primary mt-3">New Post</button>
    </div>
    <div id="post-form" style="display: none;">
        <h2 id="form-title">New Post</h2>
        <form id="post-form-data">
            <div class="form-group">
                <label for="post-title">Title</label>
                <input type="text" class="form-control" id="post-title" required>
            </div>
            <div class="form-group">
                <label for="post-body">Body</label>
                <textarea class="form-control" id="post-body" rows="3" required></textarea>
            </div>
            <button type="submit" class="btn btn-primary">Save</button>
            <button id="cancel-post" type="button" class="btn btn-secondary ml-2">Cancel</button>
        </form>
    </div>
</div>
<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.min.js" integrity="sha384-0pUGZvbkm6XF6gxjEnlmuGrJXVbNuzT9qBBavbLwCsOGabYfZo0T0to5eqruptLy" crossorigin="anonymous"></script>

<script src="index.js"> </script>

</body>
</html>
